#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int kord[n];
    int levo[n];
    int desno[n];
    int c=0;
    int d=0;
int brojacd=0;
int o=1;
    for(int i=0;i<n;i++)
    {
        cin>>kord[i];
        if(kord[i]<0)
        {
           levo[c]=kord[i];
           c++;
        }
        else
        {
           desno[d]=kord[i];
           d++;
        }

    }

    if(d>1)
    {
        sort(desno, desno + d);
    }
    if(c>1)
    {
        sort(levo, levo + c);
    }
    int poz=0;
    int broj=0;
    int niz[n];
    int brojac=0;
   while(o!=0)
   {
        if(levo[c-1]== poz || desno[brojacd]== poz)
        {
            break;
        }
        if(poz-levo[c-1]<=poz+desno[brojacd])
        {
            c=c-1;
            niz[brojac]=1;
            brojac++;
            broj++;
        }
        else if(poz-levo[c-1]>poz+desno[brojacd])
        {
            brojacd++;
            niz[brojac]=2;
            brojac++;
            broj++;
        }
   }
   cout<<broj<<'\n';
   for(int i=0;i<brojac;i++)
   {
       cout<<niz[i];
   }


    return 0;
}